import { setup, props } from '@opentiny/vue-common';
import { renderless, api } from '@opentiny/vue-renderless/loading/vue';
import '@opentiny/vue-theme/loading/index.css';
import { createElementVNode, openBlock, createBlock, Transition, withCtx, withDirectives, normalizeClass, normalizeStyle, createElementBlock, resolveDynamicComponent, toDisplayString, createCommentVNode, vShow } from 'vue';

function _toConsumableArray(arr) {
  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
}
function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr)) return _arrayLikeToArray(arr);
}
function _iterableToArray(iter) {
  if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}
function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;
  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];
  return arr2;
}
function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

var script = {
  props: _toConsumableArray(props),
  setup: function setup$1(props, context) {
    return setup({
      props: props,
      context: context,
      renderless: renderless,
      api: api
    });
  }
};

var _hoisted_1 = {
  class: "tiny-loading__spinner"
};
var _hoisted_2 = {
  key: 0,
  class: "circular",
  viewBox: "25 25 50 50"
};
var _hoisted_3 = createElementVNode("circle", {
  class: "path",
  cx: "50",
  cy: "50",
  r: "24",
  fill: "none"
}, null, -1);
var _hoisted_4 = [_hoisted_3];
var _hoisted_5 = {
  key: 2,
  class: "tiny-loading__text"
};
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createBlock(Transition, {
    name: "tiny-loading-fade",
    onAfterLeave: _ctx.handleAfterLeave
  }, {
    default: withCtx(function () {
      return [withDirectives(createElementVNode("div", {
        class: normalizeClass(["tiny-loading tiny-loading__mask", [_ctx.state.customClass, {
          'is-fullscreen': _ctx.state.fullscreen
        }]]),
        style: normalizeStyle({
          backgroundColor: _ctx.state.background || ''
        })
      }, [createElementVNode("div", _hoisted_1, [!_ctx.state.spinner ? (openBlock(), createElementBlock("svg", _hoisted_2, _hoisted_4)) : (openBlock(), createBlock(resolveDynamicComponent(_ctx.state.spinner), {
        key: 1,
        class: "tiny-icon-loading"
      })), _ctx.state.text ? (openBlock(), createElementBlock("p", _hoisted_5, toDisplayString(_ctx.state.text), 1)) : createCommentVNode("", true)])], 6), [[vShow, _ctx.state.visible]])];
    }),
    _: 1
  }, 8, ["onAfterLeave"]);
}

script.render = render;

export { script as default };
